Subject: [JAGNUTS] Reminder - Houston for breakfast Tomorrow

From: "JAGNUTS" <[email-masked]>
Date: Sat, 5 May 2012 20:03:19 -0600

We are at the Houston Pizza on Quance tomorrow for breakfast at 9am.  See
you there!